Loading...
Searching...
No Matches
l4virtio_block_config_t Struct Reference
L4 VIRTIO Interface » L4 VIRTIO Block Device

Device configuration for block devices. More...

`#include <virtio_block.h>`

Collaboration diagram for l4virtio_block_config_t:

## Data Fields

l4_uint64_t | capacity
| Capacity of device in 512-byte sectors.
l4_uint32_t | size_max
| Maximum size of a single segment.
l4_uint32_t | seg_max
| Maximum number of segments per request.
l4_uint32_t | blk_size
| Block size of underlying disk.

## Detailed Description

Device configuration for block devices.

Definition at line 68 of file virtio_block.h.

The documentation for this struct was generated from the following file:

- l4/l4virtio/virtio_block.h